Bug 71211 - printconf from command line generates spurious errors
printconf from command line generates spurious errors
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: orbit-python (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-08-09 20:58 EDT by Jay Berkenbilt
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-11 23:01:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Berkenbilt 2002-08-09 20:58:59 EDT
Description of Problem:

printconf, when run from the command line, generates errors but seems to still
work fine.

Version-Release number of selected component (if applicable):

redhat-config-printer-0.4.17-1
redhat-config-printer-gui-0.4.17-1

How Reproducible:

For me, always.  Also happens with freshly created test account on my system.

Steps to Reproduce:
1. run printconf (or printconf-gui) from a commandline in X

Actual Results:

The following is output:

(printconf:5458): GLib-GObject-WARNING **: invalid cast from (NULL) pointer to
`GObject'

(printconf:5458): GLib-GObject-CRITICAL **: file gobject.c: line 974
(g_object_get): assertion `G_IS_OBJECT (object)' failed

(printconf:5458): GLib-GObject-WARNING **: invalid cast from (NULL) pointer to
`GObject'

(printconf:5458): GLib-GObject-CRITICAL **: file gobject.c: line 974
(g_object_get): assertion `G_IS_OBJECT (object)' failed

In spite of this, everything appears to work fine.

Expected Results:

These messages should not print.  Printconf should continue to work though. :-)


Additional Information:
Comment 1 Jay Berkenbilt 2002-08-10 22:09:26 EDT
Additional information: I believe this output is being generated by a CORBA orb.
 I see similar output when running up2date.
Comment 2 Tim Waugh 2002-08-12 05:07:36 EDT
Changing component (I think this is the right one..?).
Comment 3 Jay Berkenbilt 2003-01-25 11:46:47 EST
This does not happen in Phoebe.
Comment 4 Matt Wilson 2003-02-11 23:01:22 EST
verified.

Note You need to log in before you can comment on or make changes to this bug.